Package org.kapott.hbci.security

## Class Crypt

- java.lang.Object
- - org.kapott.hbci.security.Crypt

    public final class Crypt
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ENC_KEYTYPE_DDV`
`static java.lang.String` `ENC_KEYTYPE_RSA`
`static java.lang.String` `ENCALG_2K3DES`
`static java.lang.String` `ENCALG_AES256`
`static java.lang.String` `ENCMODE_CBC`
`static java.lang.String` `ENCMODE_PKCS1`
`static java.lang.String` `SECFUNC_ENC`
`static java.lang.String` `SECFUNC_ENC_PLAIN`

### Constructor Summary

Constructors
`Crypt​(IHandlerData handlerdata, MSG msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MSG` `cryptIt​(java.lang.String newName)`
`java.lang.String` `decryptIt()`
`void` `destroy()`
`void` `init​(IHandlerData handlerdata, MSG msg)`
`void` `setParam​(java.lang.String name, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SECFUNC_ENC

    public static final java.lang.String SECFUNC_ENC

See Also:
  Constant Field Values

#### SECFUNC_ENC_PLAIN

    public static final java.lang.String SECFUNC_ENC_PLAIN

See Also:
  Constant Field Values

#### ENCALG_2K3DES

    public static final java.lang.String ENCALG_2K3DES

See Also:
  Constant Field Values

#### ENCALG_AES256

    public static final java.lang.String ENCALG_AES256

See Also:
  Constant Field Values

#### ENCMODE_CBC

    public static final java.lang.String ENCMODE_CBC

See Also:
  Constant Field Values

#### ENCMODE_PKCS1

    public static final java.lang.String ENCMODE_PKCS1

See Also:
  Constant Field Values

#### ENC_KEYTYPE_RSA

    public static final java.lang.String ENC_KEYTYPE_RSA

See Also:
  Constant Field Values

#### ENC_KEYTYPE_DDV

    public static final java.lang.String ENC_KEYTYPE_DDV

See Also:
  Constant Field Values

### Constructor Detail

#### Crypt

    public Crypt​(IHandlerData handlerdata,
                 MSG msg)

### Method Detail

#### setParam

    public void setParam​(java.lang.String name,
                         java.lang.String value)

#### init

    public void init​(IHandlerData handlerdata,
                     MSG msg)

#### cryptIt

    public MSG cryptIt​(java.lang.String newName)

#### decryptIt

    public java.lang.String decryptIt()

#### destroy

    public void destroy()